Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 598052 - Openoffice apps does not honour default browser
Openoffice apps does not honour default browser
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-31 06:29 EDT by Pavel Alexeev
Modified: 2010-06-08 09:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-08 09:25:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
replacement for /usr/lib/openoffice.org/basis3.2/program/open-url (2.04 KB, text/plain)
2010-05-31 06:52 EDT, Caolan McNamara
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 111960 None None None Never

  None (edit)
Description Pavel Alexeev 2010-05-31 06:29:47 EDT
Have not matter what browser set default in my system (XFCE), links from OO opens in Firefox.

$ xdg-open http://google.ru
Correctly open liink in Google-chrome, but links from OO apps (from help or dialogs) still opened in Firefox.

Version-Release number of selected component (if applicable):
$ rpm -qa 'openoffice*'
openoffice.org-pdfimport-3.2.0-12.23.fc13.i686
openoffice.org-core-3.2.0-12.23.fc13.i686
openoffice.org-calc-3.2.0-12.23.fc13.i686
openoffice.org-opensymbol-fonts-3.2.0-12.23.fc13.noarch
openoffice.org-writer-core-3.2.0-12.23.fc13.i686
openoffice.org-xsltfilter-3.2.0-12.23.fc13.i686
openoffice.org-brand-3.2.0-12.23.fc13.i686
openoffice.org-math-3.2.0-12.23.fc13.i686
openoffice.org-impress-3.2.0-12.23.fc13.i686
openoffice.org-calc-core-3.2.0-12.23.fc13.i686
openoffice.org-langpack-ru-3.2.0-12.23.fc13.i686
openoffice.org-presenter-screen-3.2.0-12.23.fc13.i686
openoffice.org-langpack-en-3.2.0-12.23.fc13.i686
openoffice.org-ure-3.2.0-12.23.fc13.i686
openoffice.org-graphicfilter-3.2.0-12.23.fc13.i686
openoffice.org-draw-3.2.0-12.23.fc13.i686
openoffice.org-math-core-3.2.0-12.23.fc13.i686
openoffice.org-draw-core-3.2.0-12.23.fc13.i686
openoffice.org-debuginfo-3.2.0-12.23.fc13.i686
openoffice.org-writer-3.2.0-12.23.fc13.i686
openoffice.org-impress-core-3.2.0-12.23.fc13.i686

How reproducible:
Always.
Comment 1 Caolan McNamara 2010-05-31 06:52:24 EDT
Created attachment 418257 [details]
replacement for /usr/lib/openoffice.org/basis3.2/program/open-url
Comment 2 Caolan McNamara 2010-05-31 06:53:04 EDT
If you replace /usr/lib/openoffice.org/basis3.2/program/open-url with the above attachment (and chmod a+x /usr/lib/openoffice.org/basis3.2/program/open-url afterwards) does it then work ?
Comment 3 Pavel Alexeev 2010-05-31 07:28:51 EDT
You are shure /usr/lib/openoffice.org/basis3.2/program/open-url in action there? It opens firefox even if I delete this file (actually rename to open-url.DEL)!
Comment 4 Pavel Alexeev 2010-05-31 07:29:18 EDT
And no, replace it by attachment one does not help.
Comment 5 Caolan McNamara 2010-05-31 09:12:01 EDT
ah right, xfce is detected as gnome to uses program/gnome-open-url you can stick

xdg-open "$1" 2>/dev/null || gnome-open "$1" 2>/dev/null || "$0.bin" $1

in there instead on a temporary basis
Comment 6 Caolan McNamara 2010-05-31 09:20:24 EDT
Fix checked in, will be in >= 3.2.0-12.24
Comment 7 Pavel Alexeev 2010-05-31 09:22:22 EDT
Yes, it works! Thank you very much.

Please, add it in package (or upstream, if you wish) to see it working in next updates without hacks.
Comment 8 Caolan McNamara 2010-05-31 09:32:29 EDT
See #6, and the external bug reference. Those are already done.
Comment 9 Pavel Alexeev 2010-05-31 09:51:25 EDT
Ok, thank you.
Comment 10 Caolan McNamara 2010-06-08 09:25:11 EDT
Should be good in 3.2.0-12.24.f13

Note You need to log in before you can comment on or make changes to this bug.